> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ping

> Ping a device to check connectivity.

| Scope          | Required |
| -------------- | -------- |
| `devices:read` | Yes      |


## OpenAPI

````yaml /references/platform-api/2026-03-09.yaml post /devices/{device_id}/ping
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-03-09.tetons
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-03-09.tetons
  x-git-commit:
    sha: a33cf62e35e950971e3c223d746ae8e4e6464442
    url: >-
      https://github.com/mirurobotics/openapi/commit/a33cf62e35e950971e3c223d746ae8e4e6464442
    message: |-
      refactor(stainless): rename config instance content method to download

      Co-Authored-By: Claude Opus 4.6 <noreply@anthropic.com>
    author: Benjamin Smidt
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-03-08T22:30:32.695898+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /devices/{device_id}/ping:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    post:
      tags:
        - Devices
      summary: Ping
      description: Ping a device to check connectivity.
      operationId: pingDevice
      parameters:
        - $ref: '#/components/parameters/device_id'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PingDeviceRequest'
      responses:
        '200':
          description: Successfully pinged the device.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PingDeviceResponse'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from miru_platform_sdk import Miru

            client = Miru(
                api_key=os.environ.get("MIRU_API_KEY"),  # This is the default and can be omitted
            )
            response = client.devices.ping(
                device_id="dvc_123",
                timeout_nanos=1000000000,
            )
            print(response.code)
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-03-09.tetons
      description: The API version the client was built against.
    device_id:
      name: device_id
      in: path
      required: true
      description: The unique identifier of the device.
      schema:
        type: string
        example: dvc_123
  schemas:
    PingDeviceRequest:
      title: Ping Device Request
      type: object
      required:
        - timeout_nanos
      properties:
        timeout_nanos:
          type: integer
          format: int64
          example: 1000000000
          description: >-
            The timeout in nanoseconds to wait for the ping operation to
            complete. The maximum timeout is 10 seconds.
    PingDeviceResponse:
      title: Ping Device
      type: object
      required:
        - code
      properties:
        code:
          $ref: '#/components/schemas/PingResult'
        round_trip_nanos:
          type: integer
          format: int64
          example: 1000000000
          description: >-
            The round trip time in nanoseconds to send the ping to the device
            and receive the response. Only present when `code` is `success`.
      example:
        code: success
        round_trip_nanos: 1000000000
    PingResult:
      type: string
      enum:
        - success
        - timeout
      x-enum-varnames:
        - PING_RESULT_SUCCESS
        - PING_RESULT_TIMEOUT
      description: The result of the ping operation.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````